package com.qmth.distributed.print.business.enums;

import com.qmth.distributed.print.business.enums.result.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 考务数据导入-数据库所必须字段枚举
 * @Author: CaoZixuan
 * @Date: 2021-04-20
 */
public enum ExaminationDBFieldsEnum {
    STUDENT_CODE("学号", "studentCode", 10),
    STUDENT_NAME("姓名", "studentName", 15),
    COURSE_CODE("课程代码", "courseCode", 10),
    COURSE_NAME("课程名称", "courseName", 20),
    EXAM_PLACE("考点", "examPlace", 10),
    EXAM_ROOM("考场", "examRoom", 10),
    EXAM_DATE("考试日期", "examDate", 0),
    EXAM_TIME("考试时间", "examTime", 0),
    PAPER_NUMBER("试卷编号", "paperNumber", 15);
    private final String desc;
    private final String code;
    private final int length;

    ExaminationDBFieldsEnum(String desc, String code, int length) {
        this.desc = desc;
        this.code = code;
        this.length = length;
    }

    public String getDesc() {
        return desc;
    }

    public String getCode() {
        return code;
    }

    public int getLength() {
        return length;
    }

    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<>();
        for (ExaminationDBFieldsEnum value : ExaminationDBFieldsEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(value.getCode());
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }
}
